[have compileloop create a file with the exit status of the make command, add a script to wait for compileloop to complete correctly before running its argument
John Meacham <john@repetae.net>**20051011022911] hunk ./compileloop.zsh 3
+SLEEPFILE=/tmp/compileloop.sleeping
hunk ./compileloop.zsh 5
+echo 0 > $SLEEPFILE
hunk ./compileloop.zsh 8
-    if [[ "$TIMES" !=  "$TTIMES" ]] { TIMES=$TTIMES; echo "changed"; { date ; make $* }|& tee -a compile.log }
-    sleep 1
+    if [[ "$TIMES" !=  "$TTIMES" ]] { TIMES=$TTIMES; rm -f $SLEEPFILE; echo "changed"; { date ; make $*;  echo $? > $SLEEPFILE } |& tee -a compile.log } else {
+        sleep 1
+    }
addfile ./waitcloop.zsh
hunk ./waitcloop.zsh 1
+#!/bin/zsh
+
+SLEEPFILE=/tmp/compileloop.sleeping
+while ! [[ -f $SLEEPFILE ]] { echo -n '.'; sleep 1; }
+echo '!'
+if [[  `cat $SLEEPFILE` == "0" ]] {
+    if [[ -z "$*" ]]; then exec true; else exec $*; fi
+}
+echo "error compiling.."
+tail compile.log
+exit 4
+